AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.7

Class Hierarchy
This inheritance list is sorted roughly, but not completely, alphabetically:
[detail level 1 2 3]

C AMPS::_FIXBuilder< T > | Provides a convenient way of building messages in FIX format, typically referenced using the typedefs AMPS::FIXBuilder or AMPS::NVFIXBuilder
C AMPS::Message::AckType | Valid values for the setAckTypeEnum() and getAckTypeEnum() methods
▼C AMPS::Authenticator | The interface for handling authentication with the AMPS server
C AMPS::DefaultAuthenticator | A default implementation of Authenticator that only uses an unchanged password and does not implement retry
C AMPS::BlockStore::Block | Used as metadata for each block in a Buffer
C AMPS::BlockStore | Used as a base class for other stores in the AMPS C++ client, this is an implementation that breaks a provided Buffer into uniform blocks for storing messages and tracks used and unused blocks
C AMPS::BookmarkStore | Interface for BookmarkStoreImpl classes
▼C AMPS::BookmarkStoreImpl | Abstract base class for storing received bookmarks for HA clients
▼C AMPS::MemoryBookmarkStore | A BookmarkStoreImpl implementation that stores bookmarks in memory
C AMPS::LoggedBookmarkStore | A BookmarkStoreImpl implementation that logs all messages to a file
C AMPS::MMapBookmarkStore | A BookmarkStoreImpl implementation that uses a memory mapped file for storage of the bookmarks
C AMPS::RingBookmarkStore | A BookmarkStoreImpl that stores only the MOST_RECENT bookmark to a file for recovery and keeps any bookmarks later than most recent in memory
▼C AMPS::Buffer | Abstract base class for implementing a buffer to be used by a StoreImpl for storage of publish messages for possible replay to AMPS
▼C AMPS::MemoryStoreBuffer | A Buffer implementation that uses memory for storage
C AMPS::MMapStoreBuffer | A Buffer implementation that uses a memory mapped file as its storage
▼C AMPS::Client | Client represents a connection to an AMPS server, but does not provide failover or reconnection behavior by default
C AMPS::HAClient | A highly-available Client that automatically reconnects and re-subscribes to AMPS instances upon disconnect
C AMPS::Command | Command is an encapsulation of a single AMPS command sent by the client
C AMPS::Message::Command | Valid values for setCommandEnum() and getCommandEnum()
C AMPS::CompositeMessageBuilder | Used to create payloads for AMPS composite messages, which are messages with a number of parts where each part is a complete message of a specific message type
C AMPS::CompositeMessageParser | Used to retrieve individual message parts from AMPS composite messages, which are messages where the data contains a number of parts and each part is a complete message of a specific message type
C AMPS::ConnectionStateListener | Abstract base class for connection state listeners
▼C std::exception | STL class
▼C std::runtime_error | STL class
C AMPS::AMPSException | Base class for all exceptions in AMPS
C AMPS::ExceptionListener | Exception listener for unhandled exceptions
C AMPS::FailedResubscribeHandler | Abstract base class where you can implement handling of exceptions that occur when a SubscriptionManager implementation is attempting to restart subscriptions following a connection failure
C AMPS::FailedWriteHandler | Class to handle when a client receives a duplicate publish message, or not entitled message
C AMPS::Field | Field represents the value of a single field in a Message
C AMPS::FIXShredder | Class for parsing a FIX format message into a `std::map` of keys and values, where the keys and values are represented by AMPS::Field objects
C AMPS::Handler< Func, Object > | Wrapper for callback functions in AMPS
C AMPS::Handler< DisconnectHandlerFunc, Client & > |
C AMPS::Handler< MessageHandlerFunc, const Message & > |
C AMPS::MessageStream::iterator | Represents an iterator over messages in an AMPS topic
C AMPS::Message | Message encapsulates a single message sent to or received from an AMPS server, and provides methods for every header that can be present, whether or not that header will be populated or used in a particular context
C AMPS::MessageImpl | Implementation class for a Message
C AMPS::MessageRouter | This class multiplexes messages from AMPS to multiple subscribers and uses the stream of acks from AMPS to remove routes as appropriate
C AMPS::MessageStream | An iterable object representing the results of an AMPS subscription and/or query
C AMPS::Message::Options | Class for constructing the options string to pass to AMPS in a Message
C AMPS::Reason | Class to hold string versions of failure reasons
C AMPS::ReconnectDelayStrategy | ReconnectDelayStrategy is called by AMPS::HAClient to determine how long to wait between attempts to connect or reconnect to a server
▼C AMPS::ReconnectDelayStrategyImpl | Base class for ReconnectDelayStrategy implementations
C AMPS::ExponentialDelayStrategy | ExponentialDelayStrategy is an implementation that exponentially "backs off" when reconnecting to the same server, with a maximum number of retries before it gives up entirely
C AMPS::FixedDelayStrategy | FixedDelayStrategy is an implementation that delays for a fixed time period, as specified in the constructor, when reconnecting to the same server as we were previously connected to, or if we are invoked again for the first server we ever tried
C AMPS::RecoveryPoint | Provides access to the subId and bookmark needed to restart a subscription
C AMPS::RecoveryPointAdapter | RecoveryPointAdapter a handle class for implementing external storage of subscription recovery points and recovery from storage
▼C AMPS::RecoveryPointAdapterImpl | RecoveryPointAdapterImpl virtual base class for implementing external storage of subscription recovery points and recovery from storage
C AMPS::ConflatingRecoveryPointAdapter | RecoveryPointAdapter implementation that delegates storage to another RecoveryPointAdapter but provides conflation so that only every X updates are saved and/or only the last update every Y milliseconds is saved
C AMPS::SOWRecoveryPointAdapter | RecoveryPointAdapter virtual base class for implementing external storage of subscription recovery points and recovery from storage
▼C AMPS::RecoveryPointImpl | RecoveryPointImpl virtual base class provides access to the subId and bookmark needed to restart a subscription
C AMPS::DynamicRecoveryPoint | DynamicRecoveryPoint is a RecoveryPoint implementation where subId is set explicitly but bookmark is retrieved from the BookmarkStore as its most recent at the time of access
C AMPS::FixedRecoveryPoint | FixedRecoveryPoint is a RecoveryPoint implementation where subId and bookmark are set explicitly
C AMPS::ServerChooser | Abstract base class for choosing amongst multiple URIs for both the initial connection and reconnection
▼C AMPS::ServerChooserImpl | Abstract base class for choosing amongst multiple URIs for both the initial connection and reconnection
C AMPS::DefaultServerChooser | A server chooser that rotates through multiple URIs, in order
C AMPS::Store | Handle class for StoreImpl classes that track publish messages
▼C AMPS::StoreImpl | Abstract base class for storing published messages for an HA publisher client
▼C AMPS::BlockPublishStore | Used as a base class for other stores in the AMPS C++ client, this is an implementation of StoreImpl that breaks a provided Buffer into uniform blocks for storing messages and tracks used and unused blocks
C AMPS::MemoryPublishStore | A StoreImpl implementation that uses MemoryStoreBuffer as its buffer to hold published messages in memory
C AMPS::PublishStore | A StoreImpl implementation that uses a memory-mapped file to provide a publish store that persists across application restarts
C AMPS::HybridPublishStore | An implementation of StoreImpl for publication
C AMPS::StoreReplayer | Abstract base class for replaying a publish message
▼C AMPS::SubscriptionManager | Abstract base class to manage all subscriptions placed on a client so that they can be re-established if the client is disconnected and then reconnected
C AMPS::MemorySubscriptionManager | A SubscriptionManager implementation that maintains subscriptions placed in memory so that they can be placed again after a reconnect